#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x630885ca, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x115a0d31, "");
SYMBOL_CRC(team_options_register, 0x7a067fc9, "");
SYMBOL_CRC(team_options_unregister, 0x6fa331d6, "");
SYMBOL_CRC(team_option_inst_set_change, 0x03ffeaab, "");
SYMBOL_CRC(team_options_change_check, 0x902ed318, "");
SYMBOL_CRC(team_mode_register, 0x9d115db0, "");
SYMBOL_CRC(team_mode_unregister, 0x6d9fed4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xea455105, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x881e844b, "netdev_warn" },
	{ 0x5fdd8f73, "__ethtool_get_link_ksettings" },
	{ 0x9297cf95, "try_module_get" },
	{ 0x56856c4, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5da0e3f7, "netdev_upper_dev_unlink" },
	{ 0x2a6219c, "netdev_rx_handler_unregister" },
	{ 0xff510e01, "vlan_vids_del_by_dev" },
	{ 0xa685ecc1, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x29863064, "netdev_change_features" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc5ffbca8, "netdev_has_upper_dev" },
	{ 0x9583ef57, "dev_uc_flush" },
	{ 0x393d64d9, "dev_mc_flush" },
	{ 0xef50ea95, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4efeac32, "dev_open" },
	{ 0x535f4515, "vlan_vids_add_by_dev" },
	{ 0xcf83fb23, "netdev_rx_handler_register" },
	{ 0xbe5492e5, "netdev_master_upper_dev_link" },
	{ 0x409ac88e, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd5b710b4, "ethtool_op_get_link" },
	{ 0xe50f5d75, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcf23756, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc961c8fe, "netlink_unicast" },
	{ 0xc0378d62, "dev_get_by_index" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x83a02aef, "netif_carrier_on" },
	{ 0xab37d686, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xab9b9e0e, "dev_set_allmulti" },
	{ 0x97d432ea, "dev_set_promiscuity" },
	{ 0xf4a02762, "dev_uc_unsync" },
	{ 0x42fa653a, "dev_mc_unsync" },
	{ 0xe8d7ee2c, "dev_set_mtu" },
	{ 0x79941ea5, "netdev_err" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x303ecfe3, "__dynamic_netdev_dbg" },
	{ 0xd1987c8, "dev_kfree_skb_any_reason" },
	{ 0x24bfc1b9, "dev_uc_sync_multiple" },
	{ 0x3caf0b22, "dev_mc_sync_multiple" },
	{ 0x79021402, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23857c59, "vlan_vid_del" },
	{ 0xc2522768, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9ef18f27, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68bc4ca, "__alloc_skb" },
	{ 0x65dd7acd, "genlmsg_put" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x364952c6, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc3f97b03, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdb36e2ca, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa40a786a, "genl_register_family" },
	{ 0x429702ad, "rtnl_link_unregister" },
	{ 0x3861b9b4, "genl_unregister_family" },
	{ 0xf3493dad, "netlink_broadcast_filtered" },
	{ 0xdda09994, "skb_clone" },
	{ 0xfd8a42da, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9334d321, "__dev_queue_xmit" },
	{ 0x4fa71f9e, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xa2f53dc5, "netpoll_send_skb" },
	{ 0x5a95ccc3, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x21fceef1, "__netpoll_setup" },
	{ 0xa20df7b9, "__netpoll_free" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf034f451, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xaea7a43a, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
