#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x79941ea5, "netdev_err" },
	{ 0x303ecfe3, "__dynamic_netdev_dbg" },
	{ 0x231cfd09, "usbnet_update_max_qlen" },
	{ 0x5c3fe482, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x790e285b, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5d7439d8, "mii_nway_restart" },
	{ 0x95bff165, "usbnet_resume" },
	{ 0xcbe40147, "mii_ethtool_gset" },
	{ 0x83a02aef, "netif_carrier_on" },
	{ 0x4421743a, "usbnet_probe" },
	{ 0xa8a39aee, "usbnet_open" },
	{ 0x3da2a881, "usbnet_stop" },
	{ 0xb5726871, "usbnet_start_xmit" },
	{ 0x73e05404, "eth_validate_addr" },
	{ 0xf6bcfbb, "usbnet_tx_timeout" },
	{ 0x72f368d9, "dev_get_tstats64" },
	{ 0xd2728f30, "usbnet_get_msglevel" },
	{ 0x166e3c6d, "usbnet_set_msglevel" },
	{ 0x75d19dff, "usbnet_nway_reset" },
	{ 0xd5b710b4, "ethtool_op_get_link" },
	{ 0xdc41e6f6, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ab29624, "pskb_expand_head" },
	{ 0xe329e81c, "skb_push" },
	{ 0x4849f915, "__pskb_pull_tail" },
	{ 0xd1987c8, "dev_kfree_skb_any_reason" },
	{ 0x9e8b7a80, "usbnet_read_cmd" },
	{ 0x5f7cff6c, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x881e844b, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14d9ebfe, "mii_ethtool_set_link_ksettings" },
	{ 0xe92693bc, "mii_ethtool_get_link_ksettings" },
	{ 0x927ba9ac, "generic_mii_ioctl" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0x18ccd56, "usbnet_disconnect" },
	{ 0x75edce47, "usb_deregister" },
	{ 0x9e2792d5, "usbnet_link_change" },
	{ 0x56856c4, "netdev_info" },
	{ 0xea4b6cfb, "usbnet_get_endpoints" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xa6a58f5b, "netif_set_tso_max_size" },
	{ 0x362c3ab7, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf034f451, "skb_trim" },
	{ 0xdda09994, "skb_clone" },
	{ 0xdd254f4e, "skb_pull" },
	{ 0xa772fa40, "usbnet_skb_return" },
	{ 0x31d45c04, "usbnet_write_cmd" },
	{ 0x7506329a, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x79021402, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "82581F8818B410E855626F2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
