#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x5f3f97e9, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x8e3f8a1c, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x371d955d, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xc3bdda7c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x196c5e5e, "lock_sock_nested" },
	{ 0xd5b710b4, "ethtool_op_get_link" },
	{ 0xc9a9a907, "nexthop_find_by_id" },
	{ 0x146ee80f, "arp_create" },
	{ 0x5fdd8f73, "__ethtool_get_link_ksettings" },
	{ 0xf8c4ef89, "netdev_adjacent_change_prepare" },
	{ 0x1768f569, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x31c38bf5, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x782dce07, "netdev_adjacent_change_abort" },
	{ 0x6d027b06, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x511c5e8b, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x90fa055b, "__iptunnel_pull_header" },
	{ 0x4849f915, "__pskb_pull_tail" },
	{ 0x72f368d9, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc5d9148a, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x10830528, "setup_udp_tunnel_sock" },
	{ 0x45ab0835, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf034f451, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x303ecfe3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf6244eb, "skb_scrub_packet" },
	{ 0x9f62e682, "nexthop_select_path" },
	{ 0x4fa71f9e, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x84250505, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x29eac365, "neigh_destroy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xede060bf, "udp_tun_rx_dst" },
	{ 0x9daef946, "rtnl_notify" },
	{ 0xc7de8594, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc7052daa, "__netif_rx" },
	{ 0xdda09994, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x5f77c75c, "metadata_dst_alloc" },
	{ 0xa42dca06, "dst_release" },
	{ 0xd5b451d6, "unregister_nexthop_notifier" },
	{ 0xe7b7ca94, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x57b33f31, "udp_tunnel_notify_del_rx_port" },
	{ 0xbc0dfdcd, "register_nexthop_notifier" },
	{ 0x214a0225, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x511fc720, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7a69f652, "netdev_core_stats_inc" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x56856c4, "netdev_info" },
	{ 0x816c7341, "skb_dump" },
	{ 0x956ee5ff, "neigh_lookup" },
	{ 0x8ac53316, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x364952c6, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x424fa83a, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x707f9d57, "skb_copy_bits" },
	{ 0xea455105, "__nlmsg_put" },
	{ 0x5faea572, "netdev_adjacent_change_commit" },
	{ 0x3cdb1ba1, "eth_mac_addr" },
	{ 0xa76999a3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe27256e5, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3b53da8b, "ip6_dst_hoplimit" },
	{ 0xc5f7ab32, "param_ops_ushort" },
	{ 0xfd8a42da, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8c5bf73e, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4f2e9457, "udp_tunnel6_xmit_skb" },
	{ 0xdb36e2ca, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4fb2b59a, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x73e05404, "eth_validate_addr" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0x4740f298, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2ddcfcd8, "rtnl_create_link" },
	{ 0x846da43a, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc18b4387, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc3f97b03, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7f8e265, "udp_tunnel_drop_rx_port" },
	{ 0xca36cc53, "netdev_upper_dev_link" },
	{ 0x7ab29624, "pskb_expand_head" },
	{ 0x42ee24f8, "register_pernet_subsys" },
	{ 0x79021402, "dev_addr_mod" },
	{ 0x6057f0c1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xd68bc4ca, "__alloc_skb" },
	{ 0xb7596208, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc3bcb25c, "eth_gro_complete" },
	{ 0x2a197ca9, "rtnl_set_sk_err" },
	{ 0x30081c43, "eth_gro_receive" },
	{ 0x74aaa029, "rtnl_configure_link" },
	{ 0x681f7a88, "skb_tunnel_check_pmtu" },
	{ 0x654d2bbd, "udp_tunnel_dst_lookup" },
	{ 0xee713181, "rtnl_unicast" },
	{ 0xaa991b97, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x94aa5bb5, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xd1a2873f, "__dev_get_by_index" },
	{ 0x429702ad, "rtnl_link_unregister" },
	{ 0x9e2d0230, "__skb_get_hash" },
	{ 0x7352c5ec, "ipv6_stub" },
	{ 0xdd254f4e, "skb_pull" },
	{ 0x697e1129, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2df62bb7, "dev_get_by_index_rcu" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x93677db9, "gro_cells_receive" },
	{ 0xe329e81c, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x5da0e3f7, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x72bfd939, "free_netdev" },
	{ 0xeebf926b, "ip_mc_join_group" },
	{ 0x82d45b3f, "udp_tunnel_push_rx_port" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A17A8E6D035A53B84DF9819");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
