#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b74cb4c, "rt2x00usb_disconnect" },
	{ 0xaadd61f, "rt2x00usb_suspend" },
	{ 0xd242bf2c, "rt2x00usb_resume" },
	{ 0x71a6c00f, "rt2x00usb_initialize" },
	{ 0x1a364478, "rt2x00usb_uninitialize" },
	{ 0x9440bf79, "rt2x00usb_clear_entry" },
	{ 0x98eae0fd, "rt2x00usb_watchdog" },
	{ 0x6dec55bd, "rt2x00usb_kick_queue" },
	{ 0xebd99209, "rt2x00usb_flush_queue" },
	{ 0xfd7b2f24, "rt2x00mac_tx" },
	{ 0xe622b21e, "rt2x00mac_start" },
	{ 0xefe4c4d4, "rt2x00mac_stop" },
	{ 0x7d9f6c43, "rt2x00mac_add_interface" },
	{ 0x6f120762, "rt2x00mac_remove_interface" },
	{ 0xcf6d35f7, "rt2x00mac_config" },
	{ 0x2c301f3b, "rt2x00mac_bss_info_changed" },
	{ 0xf1ad03f1, "rt2x00mac_configure_filter" },
	{ 0xe3889e19, "rt2x00mac_set_tim" },
	{ 0x8f4f6700, "rt2x00mac_set_key" },
	{ 0x7e594f6b, "rt2x00mac_sw_scan_start" },
	{ 0xe7c43355, "rt2x00mac_sw_scan_complete" },
	{ 0xc7b97e4a, "rt2x00mac_get_stats" },
	{ 0x36757c3a, "rt2x00mac_conf_tx" },
	{ 0xe5b9b37a, "rt2x00mac_rfkill_poll" },
	{ 0xf3d94731, "rt2x00mac_flush" },
	{ 0x74aa6312, "rt2x00mac_set_antenna" },
	{ 0xb40325b6, "rt2x00mac_get_antenna" },
	{ 0xd73e9830, "rt2x00mac_get_ringparam" },
	{ 0x9e48b770, "rt2x00mac_tx_frames_pending" },
	{ 0xddeaeb74, "ieee80211_handle_wake_tx_queue" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0x18aa9fe9, "rt2x00usb_probe" },
	{ 0xf034f451, "skb_trim" },
	{ 0xfd8a42da, "consume_skb" },
	{ 0xc4f13423, "usb_submit_urb" },
	{ 0x75edce47, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf297dc4, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x24ac8d7c, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6ca59ff3, "rt2x00usb_vendor_request_buff" },
	{ 0xe329e81c, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae5d2292, "rt2x00usb_vendor_request" },
	{ 0x9b67dbca, "rt2x00lib_set_mac_address" },
	{ 0x8a1e22b7, "_dev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaeb5b06c, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59f8f9ed, "rt2x00usb_disable_radio" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9FD0E3DF645EB6A02D4E84A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
