#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x24ac8d7c, "_dev_err" },
	{ 0x30b4d5b6, "rt2800_mcu_request" },
	{ 0x1b1ca2b6, "rt2800mmio_toggle_irq" },
	{ 0x539fa15e, "rt2800mmio_enable_radio" },
	{ 0x769f88c7, "rt2x00pci_remove" },
	{ 0x7a277d40, "rt2x00pci_pm_ops" },
	{ 0x78aca4b8, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x7b7a3bbd, "rt2800mmio_probe_hw" },
	{ 0xfb4e0f43, "rt2800_check_firmware" },
	{ 0x4d1afef6, "rt2800_load_firmware" },
	{ 0x89c411a9, "rt2x00mmio_initialize" },
	{ 0x5b54182e, "rt2x00mmio_uninitialize" },
	{ 0x674af991, "rt2800mmio_get_entry_state" },
	{ 0xa33e201b, "rt2800mmio_clear_entry" },
	{ 0x4879fdab, "rt2800_rfkill_poll" },
	{ 0x4322f3dc, "rt2800_link_stats" },
	{ 0x86053226, "rt2800_reset_tuner" },
	{ 0xdb95153, "rt2800_link_tuner" },
	{ 0x8a25e19e, "rt2800_gain_calibration" },
	{ 0xcc265585, "rt2800_vco_calibration" },
	{ 0xb510349d, "rt2800_watchdog" },
	{ 0xb7c880ae, "rt2800mmio_start_queue" },
	{ 0x7529d918, "rt2800mmio_kick_queue" },
	{ 0x31b97667, "rt2800mmio_stop_queue" },
	{ 0x5777a823, "rt2800mmio_flush_queue" },
	{ 0xb5f01993, "rt2800mmio_write_tx_desc" },
	{ 0x561bf4c3, "rt2800_write_tx_data" },
	{ 0xf5497b66, "rt2800_write_beacon" },
	{ 0xcbf3adfd, "rt2800_clear_beacon" },
	{ 0x80ac185a, "rt2800mmio_fill_rxdone" },
	{ 0x2cad4f1f, "rt2800_config_shared_key" },
	{ 0x26cfeca7, "rt2800_config_pairwise_key" },
	{ 0x44cd155f, "rt2800_config_filter" },
	{ 0xee1c5fc9, "rt2800_config_intf" },
	{ 0x8e3cb272, "rt2800_config_erp" },
	{ 0x7ee91073, "rt2800_config_ant" },
	{ 0xe447fb87, "rt2800_config" },
	{ 0x7c344ca8, "rt2800_pre_reset_hw" },
	{ 0x76d1185c, "rt2x00mmio_regbusy_read" },
	{ 0x104bbadd, "rt2800mmio_init_registers" },
	{ 0xd748ba4f, "rt2800mmio_get_txwi" },
	{ 0xd0a11c09, "rt2800mmio_get_dma_done" },
	{ 0xfd7b2f24, "rt2x00mac_tx" },
	{ 0xe622b21e, "rt2x00mac_start" },
	{ 0xefe4c4d4, "rt2x00mac_stop" },
	{ 0x7d9f6c43, "rt2x00mac_add_interface" },
	{ 0x6f120762, "rt2x00mac_remove_interface" },
	{ 0xcf6d35f7, "rt2x00mac_config" },
	{ 0x2c301f3b, "rt2x00mac_bss_info_changed" },
	{ 0xf1ad03f1, "rt2x00mac_configure_filter" },
	{ 0x8f4f6700, "rt2x00mac_set_key" },
	{ 0x7e594f6b, "rt2x00mac_sw_scan_start" },
	{ 0xe7c43355, "rt2x00mac_sw_scan_complete" },
	{ 0xc7b97e4a, "rt2x00mac_get_stats" },
	{ 0x30b8ab07, "rt2800_get_key_seq" },
	{ 0xadf9b461, "rt2800_set_rts_threshold" },
	{ 0x8992d12f, "rt2800_sta_add" },
	{ 0xe8a3bcd0, "rt2800_sta_remove" },
	{ 0xa89b7c5e, "rt2800_conf_tx" },
	{ 0x90734f70, "rt2800_get_tsf" },
	{ 0xbf8d2a96, "rt2800_ampdu_action" },
	{ 0xdc78eff0, "rt2800_get_survey" },
	{ 0xe5b9b37a, "rt2x00mac_rfkill_poll" },
	{ 0xf3d94731, "rt2x00mac_flush" },
	{ 0xd73e9830, "rt2x00mac_get_ringparam" },
	{ 0x9e48b770, "rt2x00mac_tx_frames_pending" },
	{ 0x9145295e, "rt2x00mac_reconfig_complete" },
	{ 0xddeaeb74, "ieee80211_handle_wake_tx_queue" },
	{ 0x24067450, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc124a605, "__pci_register_driver" },
	{ 0x95c9ec13, "rt2x00pci_probe" },
	{ 0xdbe39a3f, "rt2800_efuse_detect" },
	{ 0x97d74362, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa2e00394, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1A66DB6D48459E8237810C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
