#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_port_set, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xfd4f8a57, "");
SYMBOL_CRC(ocelot_mact_forget, 0xe15ba5c7, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x17c6dd8b, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x2ee883c0, "");
SYMBOL_CRC(ocelot_pll5_init, 0xe11bc58c, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xaf10e5ce, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x7d97dda4, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0xf7aea3e3, "");
SYMBOL_CRC(ocelot_vlan_add, 0x810a7c38, "");
SYMBOL_CRC(ocelot_vlan_del, 0x7b3abbff, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x5d426f18, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xcaedede6, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xc3829ffa, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x26357e44, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x11184a18, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x75acda27, "");
SYMBOL_CRC(ocelot_can_inject, 0x645e5188, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xe40fccaa, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x796e753b, "");
SYMBOL_CRC(ocelot_fdb_add, 0x4427ddbd, "");
SYMBOL_CRC(ocelot_fdb_del, 0xb97fc8ec, "");
SYMBOL_CRC(ocelot_mact_flush, 0x5c36823d, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xb36928aa, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x057bf9b0, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x1539ef2c, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x60c2a1c6, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xeeab7b6b, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0x3b939ce3, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x3d93809e, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xb322078f, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x34aaa31e, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x3a301df8, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xf80571ba, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xcbee2898, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xebde68f6, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x13c1dba6, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xdde9ea12, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x9b4d79f9, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0xd141e335, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x017e75db, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0xdf154cbd, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x8721d8ca, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xf2f1b70e, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x82de38ad, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x026258d1, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x10e4f41c, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0xc570e635, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x11383630, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xdd973b33, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x000bab45, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x2806f54b, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x7737461a, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x0d6aa55b, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x457d98c9, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x8ec85a9a, "");
SYMBOL_CRC(ocelot_reset, 0x35b743c9, "");
SYMBOL_CRC(ocelot_init, 0x96a618f5, "");
SYMBOL_CRC(ocelot_deinit, 0x4851fe29, "");
SYMBOL_CRC(ocelot_deinit_port, 0x217ec4d7, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x0d1b4822, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x13c143a1, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xe7a95b7a, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x7641e080, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x77db34f6, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x4b1e55ed, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0xaec207e5, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x9bda2f35, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x02ffc333, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x8f6463e5, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0x196bec67, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x5a98c1f7, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x60f9da65, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xc811d4c2, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x3d68a349, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xdc2403c3, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x9eb699c9, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x2dbc2334, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x11bae5e3, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xd03e3e90, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x5aa1e32f, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x0dcb5580, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xdf675c10, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0xa5b8ed69, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x33f5c0a8, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xc8efef8d, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0xd9489328, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x29b9ad13, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x43a172a8, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x4f14396a, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x2051548b, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xedc9e676, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x1d4b4072, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x6acee4fb, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xaf30e0b2, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x2061e994, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x195541d3, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x77b214ee, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x2b7d5a4a, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x92dffe4d, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xc10f5481, "");
SYMBOL_CRC(ocelot_init_timestamp, 0xc7e5aa16, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x81a9129c, "");
SYMBOL_CRC(ocelot_get_strings, 0x8c1b32f3, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x205335bd, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xf8a5ede9, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xfd50640f, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0xfc75fd0d, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x8a381159, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x4ab9fe83, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x386fb9f9, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0xe690f069, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x34dd5cf7, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x8cf4e616, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x70a2d640, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x04bff07c, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xa8f59260, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x0370f088, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xe15e871c, "");
SYMBOL_CRC(ocelot_mrp_del, 0xcc4eff15, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0xedcdb399, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x76a02f2e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5477247b, "flow_rule_match_ipv4_addrs" },
	{ 0xb23ae23c, "regmap_field_update_bits_base" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xaeb5b06c, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x79941ea5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfac396fe, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x9035dc07, "skb_queue_purge_reason" },
	{ 0x7a9d52b5, "ptp_find_pin" },
	{ 0x6057f0c1, "eth_type_trans" },
	{ 0x87b871e, "ethtool_aggregate_pause_stats" },
	{ 0xb65ee159, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb026d753, "regmap_fields_read" },
	{ 0x1f4b5949, "skb_queue_tail" },
	{ 0x7cb35bc1, "regmap_field_read" },
	{ 0xb6182473, "devm_regmap_field_alloc" },
	{ 0x80fa49f4, "ptp_classify_raw" },
	{ 0xe0e29ffd, "flow_rule_match_basic" },
	{ 0xd1a2873f, "__dev_get_by_index" },
	{ 0x7808e649, "devm_kfree" },
	{ 0x24ac8d7c, "_dev_err" },
	{ 0x6545734, "ptp_clock_register" },
	{ 0xd1ffab69, "netif_set_real_num_tx_queues" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x85eeadc8, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x815bea43, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x23f81cac, "_dev_warn" },
	{ 0x4f4b0d61, "flow_rule_match_ports" },
	{ 0xb2a1a835, "__devm_regmap_init_mmio_clk" },
	{ 0xc1114704, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x598f143, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb5ca9b68, "ptp_clock_unregister" },
	{ 0x6ad8b0a1, "__netdev_alloc_skb" },
	{ 0x6d3741cc, "of_phy_get" },
	{ 0x226bad38, "phy_set_mode_ext" },
	{ 0x83652ad9, "netdev_reset_tc" },
	{ 0xf6f19f91, "regmap_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9dafa329, "devm_ioremap_resource" },
	{ 0xc03379f2, "ethtool_aggregate_rmon_stats" },
	{ 0x94287d80, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x67d491dd, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90e50cb1, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaf86d3d, "netdev_set_num_tc" },
	{ 0x4f8f812b, "regmap_update_bits_base" },
	{ 0xd36ebf32, "dev_err_probe" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xd1987c8, "dev_kfree_skb_any_reason" },
	{ 0x5515ff31, "devlink_sb_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xa3c82047, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0xbd0c532c, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeda5ebeb, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xa76999a3, "skb_put" },
	{ 0x1a53f43a, "skb_tstamp_tx" },
	{ 0xfb4b00e0, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae063425, "skb_clone_sk" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x34dad56b, "regmap_fields_update_bits_base" },
	{ 0x95fe3206, "flow_rule_match_eth_addrs" },
	{ 0xfb5597df, "ptp_clock_index" },
	{ 0xd63c1d08, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "F1EC45826B5C2D56912F4B7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
