#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0xeef1b3fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7f8e265, "udp_tunnel_drop_rx_port" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x429702ad, "rtnl_link_unregister" },
	{ 0xb77570a0, "rt6_lookup" },
	{ 0xecd93d23, "ip_route_output_flow" },
	{ 0xc3f97b03, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x79021402, "dev_addr_mod" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4740f298, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x57b33f31, "udp_tunnel_notify_del_rx_port" },
	{ 0x6d027b06, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2ddcfcd8, "rtnl_create_link" },
	{ 0x74aaa029, "rtnl_configure_link" },
	{ 0x72bfd939, "free_netdev" },
	{ 0x4849f915, "__pskb_pull_tail" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x30081c43, "eth_gro_receive" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x511fc720, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x707f9d57, "skb_copy_bits" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x90fa055b, "__iptunnel_pull_header" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xede060bf, "udp_tun_rx_dst" },
	{ 0x93677db9, "gro_cells_receive" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6057f0c1, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x654d2bbd, "udp_tunnel_dst_lookup" },
	{ 0x511c5e8b, "udp_tunnel6_dst_lookup" },
	{ 0x9e2d0230, "__skb_get_hash" },
	{ 0xfd8a42da, "consume_skb" },
	{ 0x681f7a88, "skb_tunnel_check_pmtu" },
	{ 0xc7052daa, "__netif_rx" },
	{ 0x4f2e9457, "udp_tunnel6_xmit_skb" },
	{ 0xc7de8594, "udp_tunnel_xmit_skb" },
	{ 0x3b53da8b, "ip6_dst_hoplimit" },
	{ 0x303ecfe3, "__dynamic_netdev_dbg" },
	{ 0xd5b710b4, "ethtool_op_get_link" },
	{ 0x3cdb1ba1, "eth_mac_addr" },
	{ 0x73e05404, "eth_validate_addr" },
	{ 0x72f368d9, "dev_get_tstats64" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5f77c75c, "metadata_dst_alloc" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa42dca06, "dst_release" },
	{ 0x84250505, "metadata_dst_free" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdf6244eb, "skb_scrub_packet" },
	{ 0x7ab29624, "pskb_expand_head" },
	{ 0xc18b4387, "iptunnel_handle_offloads" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc3bcb25c, "eth_gro_complete" },
	{ 0x697e1129, "gro_find_complete_by_type" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8c5bf73e, "udp_sock_create4" },
	{ 0x45ab0835, "udp_sock_create6" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb7596208, "udp_tunnel_notify_add_rx_port" },
	{ 0x10830528, "setup_udp_tunnel_sock" },
	{ 0x37a0cba, "kfree" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x364952c6, "register_netdevice" },
	{ 0x846da43a, "unregister_netdevice_queue" },
	{ 0x42ee24f8, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdb36e2ca, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x31c38bf5, "unregister_pernet_subsys" },
	{ 0x82d45b3f, "udp_tunnel_push_rx_port" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "1A20E1303BA5B786DDCB96A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
