#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ba07b46, "mt76_write_mac_initvals" },
	{ 0x1ad49b36, "mt76x2_reset_wlan" },
	{ 0x44e01a91, "mt76x2_mcu_set_channel" },
	{ 0xf200044c, "mt76x02_mcu_set_radio_state" },
	{ 0xebd91770, "mt76_wake_tx_queue" },
	{ 0x30aa40c5, "mt76_get_antenna" },
	{ 0xd34140b4, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x25d2d5b1, "mt76x02_sta_ps" },
	{ 0xb72cbee4, "mt76x2_set_sar_specs" },
	{ 0x5c8493c7, "mt76u_resume_rx" },
	{ 0x9080fea4, "mt76x02_sta_rate_tbl_update" },
	{ 0xaeb5b06c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f2d9b64, "mt76_alloc_device" },
	{ 0xafbf427b, "mt76x02_mac_shared_key_setup" },
	{ 0xb628f5d5, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51c68e59, "mt76x2_mac_stop" },
	{ 0xdda3b6be, "usb_put_dev" },
	{ 0x3ecf4b32, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcde3da69, "mt76x02_update_channel" },
	{ 0xc3ad831, "mt76x2_configure_tx_delay" },
	{ 0x5fadaa48, "usb_get_dev" },
	{ 0x8a1e22b7, "_dev_info" },
	{ 0xf78a444f, "mt76x02_configure_filter" },
	{ 0xec058342, "mt76_free_device" },
	{ 0x2964ba91, "mt76x02_queue_rx_skb" },
	{ 0x47f7a598, "mt76u_queues_deinit" },
	{ 0x9830367d, "ieee80211_queue_delayed_work" },
	{ 0x24ac8d7c, "_dev_err" },
	{ 0x6ff4ad8e, "mt76x02u_mcu_fw_reset" },
	{ 0x24ec2fd9, "mt76x02_mac_setaddr" },
	{ 0xc637f334, "mt76_register_device" },
	{ 0xd965353e, "mt76_set_tim" },
	{ 0x43142638, "mt76x02_sw_scan_complete" },
	{ 0xcbcc0b9e, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc1442dec, "mt76x02_phy_set_band" },
	{ 0xcea22bdb, "mt76_set_channel" },
	{ 0xfcfc83af, "mt76x02_init_device" },
	{ 0x85dd91d7, "mt76x02_tx" },
	{ 0xcabbbe9a, "ieee80211_wake_queues" },
	{ 0x66395877, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x5d9b1ddb, "mt76x02_sta_remove" },
	{ 0x91314167, "mt76x02_phy_set_rxpath" },
	{ 0x43d11d02, "mt76x02_edcca_init" },
	{ 0x75edce47, "usb_deregister" },
	{ 0x696012fa, "mt76x02_tx_status_data" },
	{ 0x3e7e59ea, "mt76x02_sta_add" },
	{ 0x6c641ed1, "mt76x2_mcu_load_cr" },
	{ 0x496cd35e, "mt76x2_init_txpower" },
	{ 0xce4bc372, "mt76x02u_mcu_fw_send_data" },
	{ 0xfd790bae, "mt76u_init" },
	{ 0xf84320a3, "mt76_get_survey" },
	{ 0x50333b1, "mt76x02_init_debugfs" },
	{ 0x23f81cac, "_dev_warn" },
	{ 0x32068081, "mt76x02u_init_mcu" },
	{ 0x3928aaee, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x70c4d9fd, "mt76x2_mcu_init_gain" },
	{ 0xa0a97a6e, "mt76_sta_state" },
	{ 0xb0b9edef, "mt76x2_phy_tssi_compensate" },
	{ 0xf54003bf, "ieee80211_stop_queues" },
	{ 0xd6c5106, "mt76x02u_mac_start" },
	{ 0x852b3315, "mt76x02_mac_cc_reset" },
	{ 0xd21bac4e, "mt76x02_bss_info_changed" },
	{ 0xc292f4d9, "mt76x02_init_agc_gain" },
	{ 0xccbdbc6d, "mt76x2_phy_update_channel_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2973544e, "mt76_txq_schedule_all" },
	{ 0x7360cf3, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf7f3cf1f, "mt76u_stop_tx" },
	{ 0x8049d688, "mt76x02u_init_beacon_config" },
	{ 0xc99aa140, "ieee80211_unregister_hw" },
	{ 0x169b4dad, "mt76u_vendor_request" },
	{ 0x1f203f33, "mt76x02_add_interface" },
	{ 0xcb7bdf41, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x36baeff0, "mt76_get_sar_power" },
	{ 0x5f288238, "mt76u_stop_rx" },
	{ 0xd1c52496, "mt76x02_ampdu_action" },
	{ 0xb4f926b3, "mt76x02_mcu_calibrate" },
	{ 0xbae33c28, "mt76x02_conf_tx" },
	{ 0x4500881, "mt76x02_mcu_function_select" },
	{ 0x19303a8e, "mt76_sw_scan" },
	{ 0x934fde41, "mt76_sta_pre_rcu_remove" },
	{ 0x47b4a31c, "mt76x02_mac_wcid_setup" },
	{ 0x4fff4186, "__mt76_poll" },
	{ 0xb7302fc4, "mt76x2_read_rx_gain" },
	{ 0xa2cfc3cb, "mt76x2_phy_set_txpower_regs" },
	{ 0xf6ec2dc2, "mt76x2_phy_set_txpower" },
	{ 0x55292135, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5ac9f667, "mt76x02_remove_interface" },
	{ 0x5037208f, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xd6187ddf, "mt76x02_set_ethtool_fwver" },
	{ 0x41572d65, "mt76x02_set_key" },
	{ 0x549dc26e, "mt76_release_buffered_frames" },
	{ 0x61363900, "request_firmware" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0xa2541c39, "mt76_get_txpower" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mt76-usb,usbcore,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CE759484F422D4AB09C7AFA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
