#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xda000f94, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x1180e0a9, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xf1a88e83, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x7f40c7ce, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xb072d089, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xfdc3ddf6, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x3afc3f60, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xe12fc20a, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xd8ab114b, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xb36658f1, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xce73a84d, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x05898306, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xd6bf5c4e, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x4f2961c2, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xf4417420, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xaef29b73, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xf15a5c3d, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xa42bbd4e, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x66129615, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x55f17aa3, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x036feb2e, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xf88f617e, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x37b9efd0, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x229cff42, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x16e9447f, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x9908d3fd, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xa445e20a, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x6d637eb2, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x8603c230, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x67c95841, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xe3c10098, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xe903362e, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x40b9a7a9, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x67a689ca, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x697a1c08, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xa707a0c6, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x7a5986d1, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x484f2915, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x5890d401, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x6b55d2b5, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x0e70f9f0, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x24b36aad, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x2b488b00, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xa223874b, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x42c982ab, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x639c628, "iscsi_host_remove" },
	{ 0x73cb00fe, "pci_dev_put" },
	{ 0x7da5c854, "iscsi_host_free" },
	{ 0xc6a28d87, "pci_dev_get" },
	{ 0xd9ccfb69, "iscsi_host_add" },
	{ 0x5cf127dd, "iscsi_host_alloc" },
	{ 0x581c7af9, "scsi_host_put" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa1652e76, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa86885d7, "iscsi_conn_queue_xmit" },
	{ 0xeca00e67, "__kfree_skb" },
	{ 0xef2d6b69, "iscsi_tcp_cleanup_task" },
	{ 0x8d041c98, "cxgbi_ppm_ppod_release" },
	{ 0x31eafb43, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x41074e31, "iscsi_tcp_set_max_r2t" },
	{ 0xb1f770f3, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xb6de4818, "iscsi_tcp_conn_setup" },
	{ 0x4726717e, "iscsi_session_setup" },
	{ 0xc605a5c6, "iscsi_tcp_r2tpool_alloc" },
	{ 0x7dbbab64, "iscsi_session_teardown" },
	{ 0x4eb12f29, "iscsi_tcp_r2tpool_free" },
	{ 0x808fa005, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x70af4daa, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcf8bbe4a, "iscsi_host_get_param" },
	{ 0x193800ab, "iscsi_unregister_transport" },
	{ 0xe0225f1f, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x78ba5d15, "iscsi_conn_failure" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x197b05dc, "iscsi_register_transport" },
	{ 0xac00fc05, "init_net" },
	{ 0xae19063f, "ip6_route_output_flags" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x479e3511, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xa5cdd27d, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbac7615e, "iscsi_lookup_endpoint" },
	{ 0xad08c2dd, "iscsi_conn_bind" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x686d10ba, "iscsi_tcp_hdr_recv_prep" },
	{ 0x94b67ede, "iscsi_put_endpoint" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x2a39c617, "iscsi_itt_to_ctask" },
	{ 0xa42dca06, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6851434b, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x86f5bc72, "__put_devmap_managed_page_refs" },
	{ 0x1c221db4, "__folio_put" },
	{ 0x9ef18f27, "module_put" },
	{ 0x2240f5d1, "iscsi_destroy_endpoint" },
	{ 0xd68bc4ca, "__alloc_skb" },
	{ 0x37bb9c34, "cxgbi_ppm_ppods_reserve" },
	{ 0xb39acb3b, "dma_map_sg_attrs" },
	{ 0x4f19d78, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x2fa374c1, "ipv6_dev_get_saddr" },
	{ 0xb956ae35, "make_kuid" },
	{ 0xecd93d23, "ip_route_output_flow" },
	{ 0x29eac365, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3adf9010, "iscsi_create_endpoint" },
	{ 0x1ef9fbef, "__ip_dev_find" },
	{ 0xa76999a3, "skb_put" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x50749270, "param_ops_uint" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
