#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x7e790ebc, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xafa29046, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xd3d609d6, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xfcf4a1d5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xef4fe19e, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x90e90251, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x886b52ff, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x665b1197, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xa1f6c9ca, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x223ef4c8, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x7403aa7a, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xd7f873ef, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x05f145d8, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x7d1d01f8, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x1714f722, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xd678e03e, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xb1bc801c, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x5397575b, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x8e02793e, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x9e17ead3, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x65e0f359, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xd4180df6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x08c917ad, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xe33f6b3a, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x0eca8b42, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xf5ab5a7d, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x04e00818, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x14bbd39d, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x6e687b7b, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0x456c4e64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54a45116, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x710111fd, "put_device" },
	{ 0xda8813ca, "devlink_resource_register" },
	{ 0x88fe93d2, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x2124bdee, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8aa26fd3, "switchdev_bridge_port_offload" },
	{ 0x5177a3e5, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x9ef18f27, "module_put" },
	{ 0x80fa49f4, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x4efeac32, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x5b4705d0, "devlink_region_create" },
	{ 0x42c982ab, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd1a2873f, "__dev_get_by_index" },
	{ 0x429702ad, "rtnl_link_unregister" },
	{ 0x21b0259c, "perf_trace_run_bpf_submit" },
	{ 0xea3cc49f, "devlink_port_unregister" },
	{ 0x24ac8d7c, "_dev_err" },
	{ 0xac00fc05, "init_net" },
	{ 0x5e77621d, "noop_qdisc" },
	{ 0x84ca2a87, "phy_ethtool_get_strings" },
	{ 0x436eaaa5, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xc3fe94b0, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x467e4d6d, "dev_remove_pack" },
	{ 0x15d99ad0, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93677db9, "gro_cells_receive" },
	{ 0x80ac75f1, "switchdev_handle_port_obj_del_foreign" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xe329e81c, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x5da0e3f7, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x53649d68, "dev_mc_del" },
	{ 0x321fe1b7, "trace_event_reg" },
	{ 0x1679677c, "br_vlan_get_info" },
	{ 0x72bfd939, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaef29f54, "mdiobus_free" },
	{ 0xcdaae57e, "sysfs_create_group" },
	{ 0xe86cb328, "devlink_resource_occ_get_register" },
	{ 0xd5b710b4, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x3d3526d6, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x643f877c, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x40cebc7d, "switchdev_bridge_port_unoffload" },
	{ 0x23f81cac, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xca8828f, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x72f368d9, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc5d9148a, "netif_rx" },
	{ 0x85133974, "dev_mc_add" },
	{ 0x8ee65537, "flow_block_cb_alloc" },
	{ 0x97540f5b, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf034f451, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x303ecfe3, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4fa71f9e, "pv_ops" },
	{ 0x2b426c3b, "sysfs_remove_group" },
	{ 0xc9418156, "net_selftest" },
	{ 0x4d7cb078, "bpf_trace_run3" },
	{ 0xc0e42c6a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xa5d78a12, "devlink_port_init" },
	{ 0x21fceef1, "__netpoll_setup" },
	{ 0x9334d321, "__dev_queue_xmit" },
	{ 0xc2522768, "vlan_vid_add" },
	{ 0x7ca74312, "devlink_params_register" },
	{ 0xfcbb0614, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x23857c59, "vlan_vid_del" },
	{ 0xab9b9e0e, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xad951067, "devlink_resources_unregister" },
	{ 0x9be654bc, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xab37d686, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1aedec15, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x1fef7803, "devlink_port_region_create" },
	{ 0x6ba8fa76, "devlink_priv" },
	{ 0x654e0ab3, "skb_copy" },
	{ 0x3508abab, "__hw_addr_sync_dev" },
	{ 0x1bac28d1, "devlink_port_register_with_ops" },
	{ 0x734a9c22, "mdiobus_get_phy" },
	{ 0xa42dca06, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xf040815c, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb97c5c4b, "dev_uc_add" },
	{ 0xd2a987d0, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x6b26497c, "br_mst_enabled" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x29ad1b15, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0xd1987c8, "dev_kfree_skb_any_reason" },
	{ 0x6131f727, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x82f477d0, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0x716075f, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf869cef3, "dcb_ieee_setapp" },
	{ 0x8f329c43, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x816c7341, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5c9bdfaf, "__skb_vlan_pop" },
	{ 0xa8b329c8, "phylink_connect_phy" },
	{ 0x3a9edec0, "br_get_ageing_time" },
	{ 0x364952c6, "register_netdevice" },
	{ 0xa9fc5af7, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x40c22ffb, "netdev_lower_get_next" },
	{ 0xd46ecb84, "flow_block_cb_lookup" },
	{ 0x26aa7d3, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x18250dd5, "devlink_resource_occ_get_unregister" },
	{ 0xe8d7ee2c, "dev_set_mtu" },
	{ 0xbd0c532c, "br_vlan_enabled" },
	{ 0x38af4338, "__skb_pad" },
	{ 0x9297cf95, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x85e49f23, "skb_ensure_writable_head_tail" },
	{ 0xb2e60782, "bpf_trace_run4" },
	{ 0x7c33b855, "devlink_unregister" },
	{ 0xea455105, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xc26adebe, "br_port_flag_is_set" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe27256e5, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x922cb94a, "br_port_get_stp_state" },
	{ 0xfd8a42da, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x874d7565, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa78f9c3a, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa20df7b9, "__netpoll_free" },
	{ 0x65359102, "trace_raw_output_prep" },
	{ 0xe80cc74f, "br_vlan_get_proto" },
	{ 0xf2b7d6fb, "br_mst_get_state" },
	{ 0xaa16494d, "unregister_netdev" },
	{ 0x8d1b1c24, "__trace_trigger_soft_disabled" },
	{ 0x979bb85d, "trace_event_printf" },
	{ 0x6f0bf857, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa2f53dc5, "netpoll_send_skb" },
	{ 0xdb36e2ca, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xaad0d0f8, "devlink_params_unregister" },
	{ 0x3048ce76, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xc52c618e, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xdaa8b460, "devlink_alloc_ns" },
	{ 0x97d432ea, "dev_set_promiscuity" },
	{ 0x3288aaa1, "devlink_register" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x2bf3d7c5, "devlink_free" },
	{ 0x4740f298, "gro_cells_init" },
	{ 0x2e47dcaa, "bpf_trace_run2" },
	{ 0x881e844b, "netdev_warn" },
	{ 0x846da43a, "unregister_netdevice_queue" },
	{ 0xab006d98, "get_device" },
	{ 0x660e6e10, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaeb5b06c, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc3f97b03, "ether_setup" },
	{ 0x48b691c7, "switchdev_handle_fdb_event_to_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x79941ea5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xca36cc53, "netdev_upper_dev_link" },
	{ 0x7ab29624, "pskb_expand_head" },
	{ 0xad2ccbd1, "switchdev_handle_port_attr_set" },
	{ 0xd4e93d34, "phylink_create" },
	{ 0xbd282e64, "vlan_for_each" },
	{ 0xd4865b32, "netdev_port_same_parent_id" },
	{ 0x21e42c2e, "trace_event_buffer_commit" },
	{ 0x79021402, "dev_addr_mod" },
	{ 0x6057f0c1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2007118c, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x646f5f4e, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "5C1ACCCD8BB063B91713660");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
