#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xceb1c4d7, "");
SYMBOL_CRC(wpan_phy_for_each, 0xc53a3034, "");
SYMBOL_CRC(wpan_phy_new, 0xf5900f62, "");
SYMBOL_CRC(wpan_phy_register, 0x482e7cb2, "");
SYMBOL_CRC(wpan_phy_unregister, 0xfde8456f, "");
SYMBOL_CRC(wpan_phy_free, 0xfb55c53f, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xf3a3dc13, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xa7633130, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xacebcc47, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xb9b80493, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x7239eb15, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x662857ba, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x0f23e52f, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xbb668f7e, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xd017eae1, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x12a7bd9a, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xde18847c, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xc914d637, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xdd636431, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x70dd8be9, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x65d44606, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa55a43fb, "nla_put" },
	{ 0x321fe1b7, "trace_event_reg" },
	{ 0x494a977d, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x77f7263b, "unregister_pernet_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xd84ae46a, "bpf_trace_run1" },
	{ 0x25231006, "device_del" },
	{ 0xdcf23756, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x4849f915, "__pskb_pull_tail" },
	{ 0xf034f451, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4d7cb078, "bpf_trace_run3" },
	{ 0x74065a03, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1848c76f, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfcbb0614, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3a0e880a, "device_match_name" },
	{ 0xe6f60cc8, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3861b9b4, "genl_unregister_family" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa40a786a, "genl_register_family" },
	{ 0x3f555b24, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x4da8936, "register_pernet_device" },
	{ 0xac05c7e7, "get_net_ns_by_fd" },
	{ 0x91b63772, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x82119744, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb2e60782, "bpf_trace_run4" },
	{ 0xa76999a3, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa4ca15d, "dev_set_name" },
	{ 0xc7c7958d, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65359102, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8d1b1c24, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x979bb85d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x33914428, "device_initialize" },
	{ 0x65dd7acd, "genlmsg_put" },
	{ 0xc52c618e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0x2e47dcaa, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xab006d98, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf3493dad, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc3692a2, "device_rename" },
	{ 0x21e42c2e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x710111fd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd68bc4ca, "__alloc_skb" },
	{ 0x1d9c6f39, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd1a2873f, "__dev_get_by_index" },
	{ 0x21b0259c, "perf_trace_run_bpf_submit" },
	{ 0xac00fc05, "init_net" },
	{ 0xdd254f4e, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa7e115cf, "device_add" },
	{ 0xc961c8fe, "netlink_unicast" },
	{ 0xc0378d62, "dev_get_by_index" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe329e81c, "skb_push" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2E003EFA21DAC206E8F90");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
