#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x236cf34b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x0b5945a1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x7871aa1e, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xd5b490a8, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x9ce2ce51, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x1a9700b5, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x1f9cf8b4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x99bcbba0, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xc46326e5, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x5d64b61d, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x4877497f, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xaba1dbbb, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x3c53326c, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x9b4347b6, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x41fd5839, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x239b2bd9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x52bb14e1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x723bc157, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xf80d143a, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x5754d049, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xf2a62c4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x21b0259c, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfcbb0614, "trace_event_buffer_reserve" },
	{ 0x21e42c2e, "trace_event_buffer_commit" },
	{ 0x8d1b1c24, "__trace_trigger_soft_disabled" },
	{ 0x65359102, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x979bb85d, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd84ae46a, "bpf_trace_run1" },
	{ 0x2e47dcaa, "bpf_trace_run2" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4da8936, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x77f7263b, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57dca734, "sock_create_kern" },
	{ 0x417d571f, "kernel_bind" },
	{ 0x44ddc221, "kernel_connect" },
	{ 0x45ab0835, "udp_sock_create6" },
	{ 0xaf66aa4, "kernel_sock_shutdown" },
	{ 0x47c55a99, "sock_release" },
	{ 0x8c5bf73e, "udp_sock_create4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4b912c72, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdd53bf4c, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x12aed2c0, "skb_dequeue" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6804377a, "udp_set_csum" },
	{ 0x2f0b2684, "ip_queue_xmit" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7ab29624, "pskb_expand_head" },
	{ 0x77fa58bc, "udp6_set_csum" },
	{ 0x68d10fe5, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa42dca06, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x247c6850, "sockfd_lookup" },
	{ 0x196c5e5e, "lock_sock_nested" },
	{ 0x8ac53316, "release_sock" },
	{ 0x9233c07b, "idr_replace" },
	{ 0x3d3d5252, "fput" },
	{ 0x10830528, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1f4b5949, "skb_queue_tail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4849f915, "__pskb_pull_tail" },
	{ 0x816c7341, "skb_dump" },
	{ 0x321fe1b7, "trace_event_reg" },
	{ 0xc52c618e, "trace_event_raw_init" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "D293F8DC0B380930B28E0B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
