#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0x34ac9003, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x921cdc03, "");
SYMBOL_CRC(nfc_find_se, 0x3dc75128, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0xc50dfa8b, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x36eac536, "");
SYMBOL_CRC(nfc_tm_data_received, 0x47be9d62, "");
SYMBOL_CRC(nfc_tm_activated, 0x85075aac, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x005e4129, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x15b6afc2, "");
SYMBOL_CRC(nfc_targets_found, 0x0d6d2f35, "");
SYMBOL_CRC(nfc_target_lost, 0x9298ae1f, "");
SYMBOL_CRC(nfc_driver_failure, 0x3a1c3f8d, "");
SYMBOL_CRC(nfc_add_se, 0x74dac0d3, "");
SYMBOL_CRC(nfc_remove_se, 0x27b54b31, "");
SYMBOL_CRC(nfc_se_transaction, 0x366f6366, "");
SYMBOL_CRC(nfc_se_connectivity, 0x38b07ce8, "");
SYMBOL_CRC(nfc_class, 0x07fe78bc, "");
SYMBOL_CRC(nfc_allocate_device, 0xaebdfe77, "");
SYMBOL_CRC(nfc_register_device, 0xd3907259, "");
SYMBOL_CRC(nfc_unregister_device, 0x453c19b9, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x920bcc2e, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0x4208d834, "");
SYMBOL_CRC(nfc_proto_register, 0xbdf4a925, "");
SYMBOL_CRC(nfc_proto_unregister, 0x9f90519f, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x1d20311c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbf53dac5, "sock_register" },
	{ 0xb3d98df0, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x710111fd, "put_device" },
	{ 0xd68bc4ca, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x64127660, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f4b5949, "skb_queue_tail" },
	{ 0x9ef18f27, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xec424bfe, "__sock_recv_timestamp" },
	{ 0xfc515c63, "sock_no_shutdown" },
	{ 0x7808e649, "devm_kfree" },
	{ 0xac00fc05, "init_net" },
	{ 0xdd254f4e, "skb_pull" },
	{ 0xa7e115cf, "device_add" },
	{ 0xc961c8fe, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd53bf4c, "sk_free" },
	{ 0x929d869c, "kfree_skb_reason" },
	{ 0x1cc57b07, "sock_no_accept" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe329e81c, "skb_push" },
	{ 0x5b610003, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x494a977d, "class_unregister" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xc54a85fd, "ns_capable" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x196c5e5e, "lock_sock_nested" },
	{ 0x7b993c4d, "sock_no_bind" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7bfb81c3, "skb_copy_datagram_iter" },
	{ 0x561eeb97, "rfkill_alloc" },
	{ 0xa1508c50, "class_dev_iter_init" },
	{ 0x6099816a, "sk_alloc" },
	{ 0x25231006, "device_del" },
	{ 0x89d504ee, "__sock_recv_wifi_status" },
	{ 0x48ed6044, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x147132de, "sock_no_mmap" },
	{ 0xf034f451, "skb_trim" },
	{ 0xb04cff4b, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x13da6e06, "skb_recv_datagram" },
	{ 0x35e8ec50, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7ff40497, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x654e0ab3, "skb_copy" },
	{ 0xdda09994, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x13fcdfec, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x2235a1b, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x3861b9b4, "genl_unregister_family" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x9f8a21ad, "iov_iter_revert" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xa40a786a, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x91b63772, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x78722a95, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeb8e00f9, "kmalloc_caches" },
	{ 0x8ac53316, "release_sock" },
	{ 0x3db9f05b, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82119744, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x5afe66b4, "skb_free_datagram" },
	{ 0x84072647, "sock_queue_rcv_skb_reason" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x43b0a24e, "class_dev_iter_next" },
	{ 0x9297cf95, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xa76999a3, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa4ca15d, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12aed2c0, "skb_dequeue" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x33914428, "device_initialize" },
	{ 0x205b34aa, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x65dd7acd, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ad09d78, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x560b186e, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x73a57d40, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf3493dad, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3faa2ac, "sk_error_report" },
	{ 0x9035dc07, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x435eb6f3, "class_dev_iter_exit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7950e2d, "proto_unregister" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "1293B0C7C328752E3E480B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
